#!/usr/bin/perl -w

# Linux Application Checker
# About Page Module (tests_about.pl)
#
# Copyright (C) 2007-2008 The Linux Foundation. All rights reserved.
#
# This program has been developed by ISP RAS for LF.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# version 2 as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

use Templates;

print "HTTP/1.0 200 OK\n";
print "Content-type: text/html\n\n";

print_header("About Linux Application Checker", "about");
my $ver = (`cat $CONFIG{'UTILS_DIR'}/VERSION 2>/dev/null` or 'undefined');
$ver =~ s/[\r\n]//g;

print <<DATA;
<div style="width: 54em;">
<h1>Linux Application Checker</h1>
<p><b>Version $ver</b></p>
<p>Copyright &copy; 2007&ndash;2008 <a href="http://linuxfoundation.org" target="_blank">The Linux Foundation</a>. All rights reserved.</p>

<h2>Product Support</h2>
<p>Should you have any questions, comments or feature requests, please contact the <a href="mailto:lsb-appcheck-support\@linuxfoundation.org">support team</a>. You can also use the project <a href="http://ispras.linuxfoundation.org/index.php/About_Linux_Application_Checker" target="_blank">home page</a> for more information about the Linux Application Checker.</p>

<h2>License</h2>
<p>This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.</p>

<p>This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.</p>

<p>You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.</p>
</div>
DATA

print_footer();
